Skip to main content
`Ctrl`+`K`

# miml.classifier.mimlTOmi.miml_to_mi_lp_classifier.MIMLtoMILPClassifier

class miml.classifier.mimlTOmi.miml_to_mi_lp_classifier.MIMLtoMILPClassifier(mi_classifier)

  Class to represent a multi-instance classifier using a label powerset transformation

  __init__(mi_classifier) → None

    Constructor of the class MIMLtoMILPClassifier

    ## Parameters

    mi_classifier

      Specific classifier to be used

  Methods

  `__init__`(mi_classifier) | Constructor of the class MIMLtoMILPClassifier
  `evaluate`(dataset_test) | Evaluate the model on a test dataset
  `fit`(dataset_train) | Training the classifier
  `fit_internal`(dataset_train) | Training the classifier
  `predict`(x) | Predict labels of given data
  `predict_bag`(bag) | Predict labels of a given bag
  `predict_proba`(dataset_test) | Predict probabilities of given dataset of having a positive label